from abc import abstractmethod

from torch import nn


class SequenceEncoder(nn.Module):
    def __init__(self):
        super(SequenceEncoder, self).__init__()

    @abstractmethod
    def encode_sequence(self, pts_embedding_list, pose_embedding_list):
        pass
